echo off
setlocal
cls
rem  This batchfile goes into the SageTV directory
rem
rem  Registry Key: HKEY_LOCAL_MACHINE\SOFTWARE\Frey Technologies\Common\ExeMultiTunerPlugin
rem  Registry Value Type: String Value / REG_SZ  
rem  Registry value name: command
rem  Example command: cmd.exe /c "c:\program files\sagetv\RokuMultiChg.bat" DEVICE CHANNEL
rem  
rem  The %1 represents the tuner device name passed from SageTV
rem  The %2 represents the channel value passed from SageTV
rem
set CURDEVICE=%1
set SCHAN=%2
rem
rem  Roku1
IF %CURDEVICE% EQU Roku1 (
set USEIP=192.168.1.240
FOR /F "tokens=1,2,3 delims=," %%A IN (ptune.csv) DO if %%B==%SCHAN% set RCHAN=%%C
)
IF %CURDEVICE% EQU Roku1 (
set USECOMMAND=***    .\ptune %CURDEVICE% %RCHAN% %USEIP%
.\ptune %CURDEVICE% %RCHAN% %USEIP%
)
rem
rem  Roku2
IF %CURDEVICE% EQU Roku2 (
set USEIP=192.168.1.241
rem Channel mapping routine goes here, if needed
)
IF %CURDEVICE% EQU Roku2 (
set USECOMMAND=***    .\tuningprogram %CURDEVICE% %RCHAN% %USEIP%
.\tuningprogram %CURDEVICE% %RCHAN% %USEIP%
)

rem  The remaining lines are for troubleshooting purposes
rem  Remove the 'rem' commands to display info on the console
echo:Argument 1: %1 > roku.log
echo:Argument 2: %2 >> roku.log
echo:SCHAN: %SCHAN% >> roku.log
echo:RCHAN: %RCHAN% >> roku.log
echo:USEIP: %USEIP% >> roku.log
echo:>> roku.log
echo: ************************************************************************ >> roku.log
echo: ***  Here's the command:                                             *** >> roku.log
echo: ***                                                                  *** >> roku.log
echo: %USECOMMAND% >> roku.log
echo: ***                                                                  *** >> roku.log
echo: ************************************************************************ >> roku.log
